【2020-06-02】高版本JQuery兼容IE8

2020年6月2日16:10:25 发表评论 156 热度

公司做的项目面向政府企业,使用的均是IE8.优秀啊

查了,好久,jquery还算仁慈,在3.x留了一个高版本的兼容IE8的jquery,很难找啊。

jQuery 3.0以及兼容3.0的jQuery Alpha版本发布

距离我们上一次重大的jQuery版本发布已经过去很长时间啦,所以你理应得到它。因此我们非常高兴宣布jQuery 3.0 alpha的版本发布。
尽管发布的版本号已经到3.0,但是当我们谈论到(如何)升级已存在的代码,可以预期这些发布不会遇到太多的麻烦。事情确实如此,只是一些用来调整重要版本冲突的零碎改变,但是我们希望这些改变不会影响许多人。这个jQuery Migrate插件也可以帮助你(就是在你的代码中找出存在兼容性的问题的代码段)。在这个alpha版本中,针对这些零碎改变的反馈将会极大的帮助你自己,所以请在你的已有的代码或者插件中试验一下!
实际上这里有两次版本发布。第一个是jQuery 3.0,这个版本支持现代浏览器以及IE9以后的浏览器环境。第二个是jQuery 3.0兼容版,这个支持IE8.作为一个增加的福利,就是jQuery以及jQuery兼容版支持Yandex浏览器(在2012年发布的免费浏览器)。你可以从jQuery CDN或者直接通过这些链接获取jQuery以及jQuery兼容版:
https://code.jquery.com/jquery-3.0.0-alpha1.js
https://code.jquery.com/jquery-compat-3.0.0-alpha1.js
你也可以通过npm获取jQuery alpha版本:
npm install jquery@3.0.0-alpha1
npm install jquery-compat@3.0.0-alpha1

【https://code.jquery.com/jquery-compat-3.0.0-alpha1.js】这个版本是支持IE8的

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: